
local items = {
{
id = "white_loofah",
name = "Loofah",
type = "loofah",
c = 320,
uses = 200
},
{
id = "floral_bodysoap",
name = selfcare.color("#ffe0dd", "Floral") .. " Bodysoap",
type = "bodysoap",
c = 0,
uses = nil
},
{
id = "almond_bodysoap",
name = selfcare.color("#b58b80", "Almond") .. " Bodysoap",
type = "bodysoap",
c = 0,
uses = nil
},
{
id = "banana_bodysoap",
name = selfcare.color("#ffd26c", "Banana") .. " Bodysoap",
type = "bodysoap",
c = 0,
uses = nil
},
{
id = "watermelon_bodysoap",
name = selfcare.color("#e08079", "Watermelon") .. " Bodysoap",
type = "bodysoap",
c = 0,
uses = nil
},
{
id = "coco_bodyscrub",
name = selfcare.color("#af9092", "Coconut") .. " Body Scrub",
type = "bodyscrub",
c = 40,
uses = 11,
clr = "#af9092"
},
{
id = "tropical_bodyscrub",
name = selfcare.color("#ffb08a", "Tropical") .. " Body Scrub",
type = "bodyscrub",
c = 45,
uses = 11,
clr = "#ffb08a"
},
{
id = "sugar_bodyscrub",
name = selfcare.color("#c9a284", "Pure Sugar") .. " Body Scrub",
type = "bodyscrub",
c = 50,
uses = 13,
clr = "#c9a284"
},
{
id = "strawberry_bodyscrub",
name = selfcare.color("#ffb5af", "Strawberry") .. " Body Scrub",
type = "bodyscrub",
c = 40,
uses = 11,
clr = "#ffb5af"
},
{
id = "banana_bodyscrub",
name = selfcare.color("#fed792", "Banana") .. " Body Scrub",
type = "bodyscrub",
c = 40,
uses = 11,
clr = "#fed792"
},
{
id = "vanilla_bodyscrub",
name = selfcare.color("#fdf1ce", "Vanilla") .. " Body Scrub",
type = "bodyscrub",
c = 45,
uses = 12,
clr = "#7f5f46"
},
{
id = "almond_bodylotion",
name = selfcare.color("#b17b66", "Almond") .. " Bodymilk\nall skin types",
type = "lotion",
c = 20,
uses = 14
},
{
id = "strawberry_bodylotion",
name = selfcare.color("#ffb5af", "Strawberry") .. " Bodymilk\nall skin types",
type = "lotion",
c = 20,
uses = 14
},
{
id = "argan_bodyoil",
name = selfcare.color("#DB957D", "Argan") .. " Body Oil\n-\nfor " .. selfcare.color("#FFB8F7", "dry") .. ", " .. selfcare.color("#FFB8D2", "itchy") .. " skin",
type = "lotionx2",
c = 8,
uses = 23
},
{
id = "toothbrush",
name = "Toothbrush",
type = "toothbrush",
c = 15,
uses = 115
},
{
id = "whitening_strips",
name = "4 Teeth-whitening Strips",
type = "teeth_whitening",
c = 0,
uses = 3
},
{
id = "tongue_scraper",
name = "Tongue Scraper",
type = "tonguescraper",
c = 3,
uses = 0
},
{
id = "wooden_toothbrush",
name = selfcare.color("#ffd7b6", "Wooden") .. " Toothbrush",
type = "toothbrush",
c = 15,
uses = 110
},
{
id = "floss",
name = selfcare.color("#8ed1ff", "Dental") .. " Floss",
type = "floss",
c = 0,
uses = 130
},
{
id = "coco_toothpaste",
name = selfcare.color("#89675a", "Coconut") .. " Toothpaste\n whitening\n strengthening\n " .. selfcare.color("#FFCECF", "sensitive"),
type = "toothpaste",
c = 0,
uses = nil
},
{
id = "mint_toothpaste",
name = selfcare.color("#9fd1b3", "Mint") .. " Toothpaste\n refreshing\n " .. selfcare.color("#FFCECF", "anti-plaque") .. "\nstrengthening",
type = "toothpaste",
c = 0,
uses = nil
},
{
id = "rosewater_condish",
name = "Conditioner\n" .. selfcare.color("#ffbcc6", "rosewater extracts"),
type = "condish",
c = 14,
uses = 17
},
{
id = "shea_condish",
name = selfcare.color("#fce09c", "Shea Butter") .. " Conditioner\n" .. selfcare.color("#fccf9c", "for thick, coarse hair"),
type = "condish",
c = 24,
uses = 19
},
{
id = "curl_gel",
name = selfcare.color("#ffdfc9", "Silicone-Free") .. " Gel\nno parabens!\n" .. selfcare.color("#f7b6c5", "curl-friendly"),
type = "gel",
c = 10,
uses = 13
},
{
id = "rosemary_shampoo",
name = selfcare.color("#ff95af", "Rosemary") .. " Shampoo\n hair growth",
type = "shampoo",
c = 120,
uses = 17,
clr = "#ffcbd3"
},
{
id = "coffee_shampoo",
name = selfcare.color("#94746f", "Coffee") .. " Shampoo",
type = "shampoo",
c = 148,
uses = 19,
clr = "#D1A391"
},
{
id = "curl_shampoo",
name = selfcare.color("#ff6f8f", "Sulfate-Free") .. " Shampoo\nno parabens\n" .. selfcare.color("#f7b6c5", "curl-friendly"),
type = "shampoo",
c = 120,
uses = 17,
clr = "#f794ab"
},
{
id = "straightener",
name = selfcare.color("#ffd0d1", "Hair Straightener"),
type = "straightener",
c = 120,
uses = 210
},
{
id = "egg_hairmask",
name = selfcare.color("#ffb359", "Egg") .. " Hairmask",
type = "hairmask",
c = 30,
uses = 2,
clr = "#ffb359"
},
{
id = "banana_hairmask",
name = selfcare.color("#ffd26c", "Banana") .. " Hairmask",
type = "hairmask",
c = 40,
uses = 4,
clr = "#FFD26C"
},
{
id = "deep_hairmask",
name = selfcare.color("#A9B388", "Deep Repair") .. " Hairmask\n" .. selfcare.color("#F9F2EA", "can repair fried hair"),
type = "deephairmask",
c = 60,
uses = 2,
clr = "#F9F2EA"
},
{
id = "oat_facesoap",
name = "Face Soap\n" .. selfcare.color("#dfbda1", "Oat Extracts"),
type = "facesoap",
c = 120,
uses = 15,
clr = "#fff4ed"
},
{
id = "vitaminc_facesoap",
name = "Face Soap\n" .. selfcare.color("#ffb786", "Vitamin C"),
type = "facesoap",
c = 145,
uses = 17,
clr = "#FFE5D2"
},
{
id = "heartleaf_moisturiser",
name = selfcare.color("#ffdcf3", "Heartleaf") .. " Face Cream",
type = "moisturizer",
c = 20,
uses = 19
},
{
id = "pimplepatch",
name = "5 " .. selfcare.color("#ffdad8", "Pimple") .. " Patches",
type = "pimpatch",
c = 0,
uses = 4
},
{
id = "vanilla_perfume",
name = selfcare.color("#fce2ca", "Vanilla") .. " Perfume\naromas:\n" .. selfcare.color("#755046", "  cocoa\n") .. selfcare.color("#D7B798", "  vanilla\n") .. selfcare.color("#925e53", "  sandalwood"),
type = "perfume",
c = 8,
uses = 100,
clr = "#fce2ca"
},
{
id = "mistletoe_perfume",
name = selfcare.color("#7DAF65", "Mistle") .. selfcare.color("#B65454", "Toe") .. " Perfume\naromas:\n" .. selfcare.color("#C39C87", "  gingerbread!") .. " and\n" .. selfcare.color("#67AB68", "  pine needles"),
type = "perfume",
c = 8,
uses = 80,
clr = "#FFDFDF"
},
{
id = "goddess_bubblebomb",
name = selfcare.color("#EDD5B4", "[Goddess]") .. " Bubble Bomb",
type = "bubblebomb",
c = 620,
uses = 5,
clr = "#FEF1DD"
},
{
id = "lily_bubblebomb",
name = selfcare.color("#FFC8CD", "[Water Lily]") .. " Bubble bomb",
type = "bubblebomb",
c = 555,
uses = 5,
clr = "#AED7A1"
},
{
id = "heatprotectant",
name = selfcare.color("#ffb786", "Heat Protectant for Hair"),
type = "heatprotectant",
c = 15,
uses = 17
}
}

for _, item in ipairs(items) do

  local name = item.id
  local desc = item.name
  local type = item.type
  local c    = item.c
  local uses = item.uses
  local clr  = item.clr

    selfcare.add_product("self_care:"..name, {
	description = desc,
	inventory_image = "selfcare_"..name..".png",
	groups = { selfcare = 1 },
	--product_uses = uses,
	on_use = function(itemstack, user, pointed_thing)